<?php

/**
 * @file
 * Theme for gliderjs views.
 */

use Drupal\gliderjs\Plugin\views\style\Gliderjs;

/**
 * Prepares variables for gliderjs_views template.
 *
 * @param array $variables
 *   An associative array.
 */
function template_preprocess_gliderjs_views(array &$variables) {
  if (isset($variables['view']) && $variables['view']->style_plugin instanceof Gliderjs) {
    $options = $variables['view']->style_plugin->options;

    $slider_id = 'slider_id_' . $variables['view']->storage->id() . '_' . $variables['view']->current_display;
    $variables['slider_id'] = $slider_id;
    $variables['slides_to_show'] = $options['slides_to_show'];
    $variables['slides_to_scroll'] = $options['slides_to_scroll'];
    $variables['show_arrows'] = $options['show_arrows'];
    $variables['show_dots'] = $options['show_dots'];
    $variables['item_width'] = $options['item_width'];
    $variables['exact_width'] = $options['exact_width'];
    $variables['scroll_lock'] = $options['scroll_lock'];
    $variables['scroll_lock_delay'] = $options['scroll_lock_delay'];
    $variables['resize_lock'] = $options['resize_lock'];
    $variables['rewind'] = $options['rewind'];
    $variables['draggable'] = $options['draggable'];
    $variables['drag_velocity'] = $options['drag_velocity'];
    $variables['duration'] = $options['duration'];
    $variables['breakpoint_settings'] = $options['breakpoint_settings'];
    $variables['#attached']['library'][] = 'gliderjs/gliderjs';
    $variables['#attached']['drupalSettings']['gliderjs'][$slider_id] = [
      'slider_id' => $slider_id,
      'slides_to_show' => $options['slides_to_show'],
      'slides_to_scroll' => $options['slides_to_scroll'],
      'show_arrows' => $options['show_arrows'],
      'show_dots' => $options['show_dots'],
      'item_width' => $options['item_width'],
      'exact_width' => $options['exact_width'],
      'scroll_lock' => $options['scroll_lock'],
      'scroll_lock_delay' => $options['scroll_lock_delay'],
      'resize_lock' => $options['resize_lock'],
      'rewind' => $options['rewind'],
      'draggable' => $options['draggable'],
      'drag_velocity' => $options['drag_velocity'],
      'duration' => $options['duration'],
      'scroll_propagate' => $options['scroll_propagate'],
      'event_propagate' => $options['event_propagate'],
      'skip_track' => $options['skip_track'],
      'breakpoint_settings' => $options['breakpoint_settings'],
    ];
  }
}
